'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

var qwik = require('@builder.io/qwik');
var jsxRuntime = require('@builder.io/qwik/jsx-runtime');
var build = require('@builder.io/qwik/build');

function qwikifyQrl(reactCmpQrl) {
    return /*#__PURE__*/ qwik.componentQrl(qwik.inlinedQrl((props)=>{
        const [reactCmpQrl] = qwik.useLexicalScope();
        const hostElement = qwik.useHostElement();
        const store = qwik.useStore({});
        let run;
        if (props['client:visible']) run = 'visible';
        else if (props['client:load'] || props['client:only']) run = 'load';
        qwik.useWatchQrl(qwik.inlinedQrl(async (track)=>{
            const [hostElement, props, reactCmpQrl, store] = qwik.useLexicalScope();
            track(props);
            if (build.isBrowser) {
                if (store.data) store.data.root.render(store.data.client.Main(store.data.cmp, filterProps(props)));
                else {
                    const [Cmp, client] = await Promise.all([
                        reactCmpQrl.resolve(),
                        Promise.resolve().then(function () { return require('./client-afe8b295.js'); })
                    ]);
                    let root;
                    if (hostElement.childElementCount > 0) root = client.hydrateRoot(hostElement, client.Main(Cmp, filterProps(props), store.event));
                    else {
                        root = client.createRoot(hostElement);
                        root.render(client.Main(Cmp, filterProps(props)));
                    }
                    store.data = qwik.noSerialize({
                        client,
                        cmp: Cmp,
                        root
                    });
                }
            }
        }, "qwikifyQrl_component_useWatch_x04JC5xeP1U", [
            hostElement,
            props,
            reactCmpQrl,
            store
        ]), {
            run
        });
        if (build.isServer && !props['client:only']) {
            const jsx = Promise.all([
                reactCmpQrl.resolve(),
                Promise.resolve().then(function () { return require('./server-efdd3a7c.js'); })
            ]).then(([Cmp, server])=>{
                const html = server.render(Cmp, filterProps(props));
                return /*#__PURE__*/ jsxRuntime.jsx(qwik.Host, {
                    dangerouslySetInnerHTML: html
                });
            });
            return /*#__PURE__*/ jsxRuntime.jsx(jsxRuntime.Fragment, {
                children: jsx
            });
        }
        return /*#__PURE__*/ jsxRuntime.jsx(qwik.Host, {
            children: /*#__PURE__*/ jsxRuntime.jsx(qwik.SkipRerender, {})
        });
    }, "qwikifyQrl_component_zH94hIe0Ick", [
        reactCmpQrl
    ]), {
        tagName: 'qwik-wrap'
    });
}
const filterProps = (props)=>{
    const obj = {};
    Object.keys(props).forEach((key)=>{
        if (!key.startsWith('client:')) obj[key] = props[key];
    });
    return obj;
};
const qwikify$ = qwik.implicit$FirstArg(qwikifyQrl);

/**
 * Server-Side Render method to be called by a server.
 */ async function renderToString(rootNode, opts) {
    // Render the Root component to a string
    // Pass in the manifest that was generated from the client build
    const mod = await Promise.resolve().then(function () { return require('./server-efdd3a7c.js'); });
    const result = await mod.renderToString(rootNode, opts);
    const styles = mod.getGlobalStyleTag(result.html);
    const finalHtml = styles + result.html;
    return {
        ...result,
        html: finalHtml
    };
}

exports.qwikify$ = qwikify$;
exports.qwikifyQrl = qwikifyQrl;
exports.renderToString = renderToString;
