'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

var jsxRuntime = require('@emotion/react/jsx-runtime');
var react$1 = require('@emotion/react');
var server$1 = require('react-dom/server');
var createEmotionServer = require('@emotion/server/create-instance');
var createCache = require('@emotion/cache');
var react = require('react');
var server = require('@builder.io/qwik/server');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var createEmotionServer__default = /*#__PURE__*/_interopDefaultLegacy(createEmotionServer);
var createCache__default = /*#__PURE__*/_interopDefaultLegacy(createCache);

const key = 'css';
const cache = createCache__default["default"]({
    key
});
const { extractCriticalToChunks , constructStyleTagsFromChunks  } = createEmotionServer__default["default"](cache);
function getGlobalStyleTag(html) {
    const chunks = extractCriticalToChunks(html);
    const style = constructStyleTagsFromChunks(chunks);
    return style;
}
function render(App, props) {
    const html = server$1.renderToString(/*#__PURE__*/ jsxRuntime.jsx(react$1.CacheProvider, {
        value: cache,
        children: /*#__PURE__*/ jsxRuntime.jsx(App, {
            ...props
        })
    }));
    return html;
}

Object.defineProperty(exports, 'createElement', {
    enumerable: true,
    get: function () { return react.createElement; }
});
Object.defineProperty(exports, 'renderToString', {
    enumerable: true,
    get: function () { return server.renderToString; }
});
exports.constructStyleTagsFromChunks = constructStyleTagsFromChunks;
exports.extractCriticalToChunks = extractCriticalToChunks;
exports.getGlobalStyleTag = getGlobalStyleTag;
exports.render = render;
